# SPDX-FileCopyrightText: 2022 Contributors to the Power Grid Model project <dynamic.grid.calculation@alliander.com>
#
# SPDX-License-Identifier: MPL-2.0

version: 2

# Build from the docs/ directory with Sphinx
sphinx:
  configuration: docs/conf.py

build:
  os: "ubuntu-22.04"
  tools:
    python: "3.11"
  jobs:
    post_install:
      # Build package with doc requirements from pyproject.optional-dependencies
      - pip install --verbose --editable .[doc]
      # remove API DLL define in header
      - sed -i -r "s/#define PGM.*//g" power_grid_model_c/power_grid_model_c/include/power_grid_model_c.h
      - sed -i -r "s/PGM_API //g" power_grid_model_c/power_grid_model_c/include/power_grid_model_c.h
      # build doxygen for C header
      - cd docs/doxygen && doxygen && cd ../..
      # download examples
      - wget -P docs/examples https://github.com/PowerGridModel/power-grid-model-workshop/raw/main/examples/Make%20Test%20Dataset.ipynb
      - wget -P docs/examples https://github.com/PowerGridModel/power-grid-model-workshop/raw/main/examples/Power%20Flow%20Example.ipynb
      - wget -P docs/examples https://github.com/PowerGridModel/power-grid-model-workshop/raw/main/examples/State%20Estimation%20Example.ipynb
      - wget -P docs/examples https://github.com/PowerGridModel/power-grid-model-workshop/raw/main/examples/Validation%20Examples.ipynb
      # download support
      - wget -P docs/release_and_support https://github.com/PowerGridModel/.github/raw/main/RELEASE.md
      - wget -P docs/release_and_support https://github.com/PowerGridModel/.github/raw/main/SUPPORT.md
      # download contribution
      - wget -P docs/contribution https://github.com/PowerGridModel/.github/raw/main/PROJECT_GOVERNANCE.md
      - wget -P docs/contribution https://github.com/PowerGridModel/.github/raw/main/CONTRIBUTING.md
      - wget -P docs/contribution https://github.com/PowerGridModel/.github/raw/main/CODE_OF_CONDUCT.md
